Package org.apache.batchee.jsefa

## Class JsefaConfigurations

- java.lang.Object
- - org.apache.batchee.jsefa.JsefaConfigurations

-     public class JsefaConfigurations
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Class<?>[]` | `createObjectTypes​(String objectTypes)` |
    `static net.sf.jsefa.csv.config.CsvConfiguration` | `newCsvConfiguration​(String defaultNoValueString, String defaultQuoteMode, String fieldDelimiter, String lineBreak, String quoteCharacter, String quoteCharacterEscapeMode, String useDelimiterAfterLastField, String validationMode, String validationProvider, String lineFilter, String lowLevelConfiguration, String lineFilterLimit, String objectAccessorProvider, String specialRecordDelimiter, String simpleTypeProvider, String typeMappingRegistry)` |
    `static net.sf.jsefa.flr.config.FlrConfiguration` | `newFlrConfiguration​(String defaultPadCharacter, String lineBreak, String validationMode, String validationProvider, String lineFilter, String lowLevelConfiguration, String lineFilterLimit, String objectAccessorProvider, String specialRecordDelimiter, String simpleTypeProvider, String typeMappingRegistry)` |
    `static net.sf.jsefa.xml.config.XmlConfiguration` | `newXmlConfiguration​(String lineBreak, String dataTypeDefaultNameRegistry, String lineIndentation, String lowLevelConfiguration, String namespaceManager, String dataTypeAttributeName, String validationMode, String validationProvider, String objectAccessorProvider, String simpleTypeProvider, String typeMappingRegistry)` |
    `static <A extends net.sf.jsefa.common.mapping.TypeMappingRegistry<?>,​B extends net.sf.jsefa.common.mapping.EntryPoint<?,​?>> void` | `setConfiguration​(net.sf.jsefa.common.config.Configuration<A,​B> configuration, String validationMode, String validationProvider, String objectAccessorProvider, String simpleTypeProvider, String typeMappingRegistry)` |
    `static <A extends net.sf.jsefa.rbf.lowlevel.config.RbfLowLevelConfiguration> void` | `setRbfConfiguration​(net.sf.jsefa.rbf.config.RbfConfiguration<A> configuration, String validationMode, String validationProvider, String lowLevelConfiguration, String objectAccessorProvider, String lineFilter, String lineFilterLimit, String specialRecordDelimiter, String simpleTypeProvider, String typeMappingRegistry)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createObjectTypes

          public static Class<?>[] createObjectTypes​(String objectTypes)
                                              throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### setConfiguration

          public static <A extends net.sf.jsefa.common.mapping.TypeMappingRegistry<?>,​B extends net.sf.jsefa.common.mapping.EntryPoint<?,​?>> void setConfiguration​(net.sf.jsefa.common.config.Configuration<A,​B> configuration,
                                                                                                                                                                               String validationMode,
                                                                                                                                                                               String validationProvider,
                                                                                                                                                                               String objectAccessorProvider,
                                                                                                                                                                               String simpleTypeProvider,
                                                                                                                                                                               String typeMappingRegistry)
                                                                                                                                                                        throws Exception

      Throws:
        `Exception`

    - #### setRbfConfiguration

          public static <A extends net.sf.jsefa.rbf.lowlevel.config.RbfLowLevelConfiguration> void setRbfConfiguration​(net.sf.jsefa.rbf.config.RbfConfiguration<A> configuration,
                                                                                                                       String validationMode,
                                                                                                                       String validationProvider,
                                                                                                                       String lowLevelConfiguration,
                                                                                                                       String objectAccessorProvider,
                                                                                                                       String lineFilter,
                                                                                                                       String lineFilterLimit,
                                                                                                                       String specialRecordDelimiter,
                                                                                                                       String simpleTypeProvider,
                                                                                                                       String typeMappingRegistry)
                                                                                                                throws Exception

      Throws:
        `Exception`

    - #### newXmlConfiguration

          public static net.sf.jsefa.xml.config.XmlConfiguration newXmlConfiguration​(String lineBreak,
                                                                                     String dataTypeDefaultNameRegistry,
                                                                                     String lineIndentation,
                                                                                     String lowLevelConfiguration,
                                                                                     String namespaceManager,
                                                                                     String dataTypeAttributeName,
                                                                                     String validationMode,
                                                                                     String validationProvider,
                                                                                     String objectAccessorProvider,
                                                                                     String simpleTypeProvider,
                                                                                     String typeMappingRegistry)
                                                                              throws Exception

      Throws:
        `Exception`

    - #### newCsvConfiguration

          public static net.sf.jsefa.csv.config.CsvConfiguration newCsvConfiguration​(String defaultNoValueString,
                                                                                     String defaultQuoteMode,
                                                                                     String fieldDelimiter,
                                                                                     String lineBreak,
                                                                                     String quoteCharacter,
                                                                                     String quoteCharacterEscapeMode,
                                                                                     String useDelimiterAfterLastField,
                                                                                     String validationMode,
                                                                                     String validationProvider,
                                                                                     String lineFilter,
                                                                                     String lowLevelConfiguration,
                                                                                     String lineFilterLimit,
                                                                                     String objectAccessorProvider,
                                                                                     String specialRecordDelimiter,
                                                                                     String simpleTypeProvider,
                                                                                     String typeMappingRegistry)
                                                                              throws Exception

      Throws:
        `Exception`

    - #### newFlrConfiguration

          public static net.sf.jsefa.flr.config.FlrConfiguration newFlrConfiguration​(String defaultPadCharacter,
                                                                                     String lineBreak,
                                                                                     String validationMode,
                                                                                     String validationProvider,
                                                                                     String lineFilter,
                                                                                     String lowLevelConfiguration,
                                                                                     String lineFilterLimit,
                                                                                     String objectAccessorProvider,
                                                                                     String specialRecordDelimiter,
                                                                                     String simpleTypeProvider,
                                                                                     String typeMappingRegistry)
                                                                              throws Exception

      Throws:
        `Exception`